import type { EventEmitter } from '../../../stencil-public-runtime';
export declare class SidePanel {
    isOpen: boolean;
    panelClassName?: string;
    panelTitle: string;
    withBackButton?: boolean;
    close: EventEmitter;
    back: EventEmitter;
    isVisible: boolean;
    shouldAnimate: boolean;
    private closeTimeout;
    private readonly ANIMATION_DURATION_MS;
    handleOpenChange(newValue: boolean): void;
    disconnectedCallback(): void;
    handleOverlayClick(event: MouseEvent): void;
    handleCloseClick(event: MouseEvent): void;
    handleBackClick(event: MouseEvent): void;
    render(): any;
}
